> ## Documentation Index
> Fetch the complete documentation index at: https://docs.8dx.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get api permitaddress

> GET Permit2 address



## OpenAPI

````yaml /openapi.yaml get /api/{blockchain}/permit/address
openapi: 3.1.0
info:
  title: swap-8dx
  description: ''
  license:
    name: ''
  version: 0.1.0
servers:
  - url: https://swap.ggp.gg
  - url: https://8dx.io
security: []
tags:
  - name: swap
    description: Swap API endpoints
  - name: approve
    description: Approve (Permit) API endpoints
  - name: explorer
    description: Explorer API endpoints
  - name: order
    description: Limit Order API endpoints
  - name: healthcheck
    description: Health Check API endpoints
paths:
  /api/{blockchain}/permit/address:
    get:
      tags:
        - approve
      description: GET Permit2 address
      operationId: get_permit_address
      parameters:
        - name: blockchain
          in: path
          required: true
          schema:
            type: string
            enum:
              - ethereum
              - bsc
              - arbitrum
      responses:
        '200':
          description: >-
            Permit2 address for POST /{blockchain}/swap or POST
            /{blockchain}/order
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PermitAddressResponse'
              examples:
                Result:
                  summary: Result
                  value:
                    data: '0x000000000022D473030F116dDEE9F6B43aC78BA3'
        '408':
          description: Request timeout error from HTTP server
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                RequestTimeout:
                  summary: Request timeout
                  value:
                    code: 408
                    error: string
        '500':
          description: Internal server error from HTTP server
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                Internal:
                  summary: Internal
                  value:
                    code: 500
                    error: string
components:
  schemas:
    PermitAddressResponse:
      type: object
      required:
        - data
      properties:
        data:
          type: string
          description: Permit2 contract address
    ErrorResponse:
      type: object
      required:
        - error
        - code
      properties:
        code:
          type: integer
          format: int32
          minimum: 0
        error:
          type: string

````